kind: pipeline
type: docker
name: deploy

steps:
  - name: install
    image: node:18-alpine
    commands:
      - npm install -D tailwindcss@^3.4.0

  - name: build-css
    image: node:18-alpine
    commands:
      # Generate optimized CSS from src/input.css styles/main.css
      - npx tailwindcss -i ./src/input.css -o ./styles/main.css --minify

  - name: sync-files
    image: alpine:latest
    volumes:
      - name: website-data
        path: /host-target
    commands:
      - cp -a . /host-target
      - chmod -R 755 /host-target

volumes:
  - name: website-data
    host:
      path: /root/khy/data/html
